<template>
  <v-bottom-navigation app grow background-color="wrapped">
    <template v-if="isAuth">
      <v-btn :to="{ name: 'Exchange' }" icon>
        <span>Обмен</span>
        <v-icon>mdi-swap-horizontal</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'BankDetails' }" icon>
        <span>Реквизиты</span>
        <v-icon>mdi-bank</v-icon>
      </v-btn>
    </template>

    <template v-if="!isAuth">
      <v-btn :to="{ name: 'Signup' }" icon>
        <span>Регистрация</span>
        <v-icon>mdi-account-plus</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'Login' }" icon>
        <span>Вход</span>
        <v-icon>mdi-login</v-icon>
      </v-btn>
    </template>
  </v-bottom-navigation>
</template>

<script lang="ts">
import Component from 'vue-class-component';
import Vue from 'vue';

@Component({})
export default class BottomNavigation extends Vue {
  private get isAuth(): boolean {
    return this.$store.getters['auth/isAuth'];
  }
}
</script>

<style scoped></style>
